Subject: Re: [PATCH] i40evf: fix 32 bit build warnings

From: Jesse Brandeburg <[email-masked]>
Date: Tue, 13 Oct 2015 12:33:58 -0700

On Tue, 13 Oct 2015 12:05:32 -0700
Jeff Kirsher <[email-masked]> wrote:

> On Tue, 2015-10-13 at 13:37 +0200, Arnd Bergmann wrote:
> > This is the majority of all build warnings we get on allmodconfig
> > (both i386 and arm),
> > so it would be really nice to have it fixed before 4.3. For all I can
> > tell, the
> > patch still applies on your branch too, but see below for the rebased
> > version.
> > 
> > I also note that your branch is not part of linux-next, is that
> > intentional?
> > 
> >         Arnd
> 
> Huh are you sure you used by dev-queue branch?  I ask because this is
> what I am getting when I try to apply your patch:
> 
> git am .apply/i40evf-fix-32-bit-build-warnings.patch
> Applying: Jesse Brandeburg fixed a bug for 32-bit systems in the i40e
> driver
> error: patch failed:
> drivers/net/ethernet/intel/i40evf/i40e_common.c:443
> error: drivers/net/ethernet/intel/i40evf/i40e_common.c: patch does not
> apply
> Patch failed at 0001 Jesse Brandeburg fixed a bug for 32-bit systems in
> the i40e driver
> The copy of the patch that failed is found in:
>    /home/jtkirshe/Public/next-queue/.git/rebase-apply/patch
> When you have resolved this problem, run "git am --continue".
> If you prefer to skip this patch, run "git am --skip" instead.
> To restore the original branch and stop patching, run "git am --abort".
> [12:02:27 @jtkirshe-linux:next-queue]$ patch -p1 <.apply/i40evf-fix-32
> -bit-build-warnings.patch 
> patching file drivers/net/ethernet/intel/i40evf/i40e_common.c
> Reversed (or previously applied) patch detected!  Assume -R? [n] 
> Apply anyway? [n] 
> Skipping patch.
> 2 out of 2 hunks ignored -- saving rejects to file
> drivers/net/ethernet/intel/i40evf/i40e_common.c.rej
> [12:02:52 @jtkirshe-linux:next-queue]$
> 
> Even looking at the code, the code your changing does not exist in my
> dev-queue branch of my next-queue tree. 

it was already fixed via

commit 7890f6979a8eab436487396d6e2e0def8633fa16
Author: Jesse Brandeburg <[email-masked]>
Date:   Tue Oct 13 11:15:46 2015 -0700

    i40evf: fix overlong BIT defines